package fer.hr.help;

import com.sun.javafx.binding.StringFormatter;
import fer.hr.preprocessing.histogram.IHistogram;
import fer.hr.preprocessing.histogram.PixelHistogram;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.*;
import java.util.Formatter;

/**
 * Created by jcular on 5/16/16.
 */
public class HistogramValueWriter {
    private static String picturePath = "../seven-segment";
    public static void main(String[] args) {
        IHistogram histogram = new PixelHistogram();
        File folder = new File(picturePath);
        File[] files = folder.listFiles();
        try {
            BufferedImage bf = ImageIO.read(files[0]);
            double[] hist = histogram.calculateHistogram(bf);
            double sum = 0;
            for (double i : hist) {
                sum  += i;
            }

            PrintWriter pw = new PrintWriter("bar.txt", "UTF-8");
            for (int i = 0; i < hist.length; i++) {
                hist[i] = hist[i] / sum;
                Formatter f = new Formatter();
                f.format("%2.2f", hist[i]);
                pw.print("("+i+","+f.toString()+") ");
            }
            pw.close();


        } catch (Exception e){

        }
    }
}
