package fer.hr.preprocessing.histogram;

import java.awt.image.BufferedImage;

/**
 * Created by jcular on 6/6/16.
 */
public class AbstractHistogramDecorator {

    public enum TYPE {HEIGHT, WIDTH};

    public double[] scaleOverHeight(int height, double[] histogram) {
        for (int i = 0; i < histogram.length; i++) {
            histogram[i] /= height;
        }
        return histogram;
    }

    public double[] scaleOverWdith(int width, double[] histogram) {
        for (int i = 0; i < histogram.length; i++) {
            histogram[i] /= width;
        }
        return histogram;
    }
}
