package fer.hr.preprocessing.histogram;

import java.awt.image.BufferedImage;

/**
 * Created by jcular on 3/9/16.
 */
public class PixelHistogram implements  IHistogram{

    @Override
    public double[] calculateHistogram(BufferedImage image) {
        double[] histogram = new double[256];

        for(int i=0; i<image.getHeight(); i++) {
            for(int j=0; j<image.getWidth(); j++) {
                int rgb = image.getRGB(j,i) & 0xFF;
                histogram[rgb]++;
            }
        }
        return histogram;
    }
}
